<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Zmm" />
<meta property="og:description" content="Make your webseries. Better. Faster. Now" />
<meta property="og:type" content="website" />
<meta property="og:url" content="http://www.guerillashowrunner.com/tags/zmm/" />


<meta property="og:updated_time" content="2011-01-27T17:50:49&#43;00:00"/>










<meta itemprop="name" content="Zmm">
<meta itemprop="description" content="Make your webseries. Better. Faster. Now">










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="zmm/index.html">

    <title>Guerilla Showrunner</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    
    <!-- RSS 2.0 feed -->
    <link href="zmm/index.xml" rel="alternate" type="application/rss+xml" title="Guerilla Showrunner" />
    

    

    

    

  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <div class="blog-masthead">
      <div class="container">
        <nav class="nav blog-nav">
          <a class="nav-link " href="../index.html">Home</a>
          
          
          <a class="nav-link" href="../how-to-webpage/how-to-webpage/index.html">The Complete Guide To Setting Up Your Webseries Webpage</a>
          
          <a class="nav-link" href="../consulting/consulting/index.html">Consulting</a>
          
          <a class="nav-link" href="../crazed-stalkers-free/crazed-stalkers-free/index.html">Get More Crazed Stalkers - the free course</a>
          
          <a class="nav-link" href="../about/about/index.html">About / Contact</a>
          
          
        </nav>
      </div>
    </div>

    <header class="blog-header">
      <div class="container">
        <h1 class="blog-title"><a href="../index.html" rel="home">Guerilla Showrunner</a></h1>
        <p class="lead blog-description">Make your webseries. Better. Faster. Now</p>
      </div>
    </header>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          





<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/01/time-vampires-stop-them-draining-your-project-time-dry/index.html">Time Vampires! Stop them draining your project time dry.</a></h2>
    <p class="blog-post-meta"><time datetime="2011-01-27T17:50:49Z">Thu Jan 27, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="making-the-show.html" rel="tag">making the show</a>, <a href="productivity.html" rel="tag">productivity</a>, <a href="time-management.html" rel="tag">time management</a>, <a href="todo.html" rel="tag">todo</a>, <a href="zmm.html" rel="tag">ZMM</a>

</p>
  </header>
  <p>When you&rsquo;re guerilla showrunning, you&rsquo;re always short of time. There&rsquo;s always more you want to do in less. You&rsquo;re playing catch-up to industries with millions of dollars that themselves are always hurrying. You&rsquo;re trying to make a show with you and a friend in your garage on a weekend, when the guys making &ldquo;24&rdquo;, with millions of dollars and top-name stars, spend as much time panicking about how much time they&rsquo;ve got as you do.</p>

<p>The last things you need are goddamn time vampires.</p>

<p>Time Vampires? Yeah. Those little invisible buggers that soak up hours and hours you don&rsquo;t notice. They aren&rsquo;t the big important tasks that take ages (like editing your episode, for example), they&rsquo;re the little things that just sit there eating time and leave you pissed off and frustrated to boot.</p>

<p>Some of the biggest improvements I&rsquo;ve made to my show creation over the years have all been about staking time vampires to the nearest solid object. Because if you&rsquo;ve got an invisible annoyance sucking hours out of your project, it doesn&rsquo;t matter how <sup>80</sup>&frasl;<sub>20</sub> you are getting about the rest of the gig, it&rsquo;s still going a lot slower than it could.</p>

<p>You need to stake the damn vampires, now. Or, to put it another way, fix the sodding dripping tap, already.</p>

<p></p>

<h2 id="dripping-taps-can-irritate-your-project-to-death">Dripping Taps Can Irritate Your Project To Death</h2>

<p>On BloodSpell, we had a persistant problem throughout shooting - if we ever let the game cursor, which we couldn&rsquo;t make disappear, hover over a character, they would glow blue. As you can imagine, that was a pain in the ass when shooting, particularly when shooting closeups where a character was occupying more than half the screen. We had to work around it, adapt shots, alter our coverage, and so on.</p>

<p>When we were shooting the final episode of the series, I was having a dig around in the spec for character setup for some reason, and I noticed a &ldquo;glow&rdquo; flag. We were on a break, so I went into our character definitions, and changed the flag from 1 to 0. Loaded the graphics engine up, and&hellip;</p>

<p>No glow.</p>

<p>And what was really interesting here was how much of a huge damn relief it was. We&rsquo;d pretty much written it off as an annoyance we had to live with, right through filming. But as soon as it went away, all sorts of things suddenly became possible. Filming noticably speeded up because we didn&rsquo;t have the - previously unnoticed - step of &ldquo;check if the cursor&rsquo;s making anything glow&rdquo;. Our shot setup was freer. And quality of shooting went right through the roof. I don&rsquo;t think it&rsquo;s an exaggeration to say that maybe a quarter of the improvement between the series version and the feature version of BloodSpell (which was huge) was down to fixing that damn cursor.</p>

<p>The useful takeaway here isn&rsquo;t &ldquo;fix little niggles&rdquo;. I think we all try to fix things that come up - I know we had a good five or ten minute look around for the blue glow when we first found it, didn&rsquo;t find anything we could use, and gave up.</p>

<p>What&rsquo;s interesting here is that most people <strong>massively</strong> underestimate how much of a time sink niggles like this are. If something&rsquo;s causing you to bugger around for 3 minutes every time you take a shot, or meaning you have to abandon 5% of your shots, in the middle of shooting you&rsquo;ll tend to go &ldquo;bah, small problem, ignore&rdquo; if you can&rsquo;t easily fix it.</p>

<p>But over the duration of a six-month or year project, that little niggle&rsquo;s going to eat time like it&rsquo;s coated in premium Criolla chocolate.</p>

<p>And it&rsquo;s not just the direct time it takes - it&rsquo;s also the hassle factor.</p>

<h2 id="you-can-t-be-zen-about-a-dripping-tap">You Can&rsquo;t Be Zen About A Dripping Tap</h2>

<p>In Zen and the Art of Motorcycle Maintainance (which I would heartily recommend to any Guerilla Showrunner - the entire damn thing&rsquo;s about what Quality is and how we achieve it), at one point the narrator visits some friends, who have a dripping tap.</p>

<p>They&rsquo;ve tried to fix it, but it didn&rsquo;t work, so now they&rsquo;re just ignoring it. And so it goes until Sylvia, one of the friends, suddenly blows up with anger at something unrelated - and the narrator realises that it&rsquo;s actually anger at the damn dripping tap, which she&rsquo;s working so hard to suppress, that&rsquo;s causing it.</p>

<blockquote>What struck me hard then was that she was not blaming the faucet, and that she was deliberately not blaming the faucet. She wasn't ignoring that faucet at all! She was suppressing anger at the faucet and that godamned-dripping faucet was just about killing her!</blockquote>

<p>This really resonates for me.</p>

<p>See, that&rsquo;s exactly how I realised I&rsquo;d been feeling about the blue glow in BloodSpell.</p>

<p>That damn blue glow hadn&rsquo;t just been an irritation. It had been an absolute fucking NIGHTMARE!</p>

<p>It broke my flow. It ruined my shots. It irritated the hell out of me, but I was ignoring it, because fixing it looked Hard.</p>

<p>And it wasn&rsquo;t until I fixed it that I realised what a huge relief that was.</p>

<h2 id="use-of-excessive-force-in-the-case-of-dripping-taps-is-approved">Use Of Excessive Force In The Case of Dripping Taps Is Approved</h2>

<p>So here&rsquo;s my recommendation: if something&rsquo;s pissing you off in your current project, and it&rsquo;s pissing you off enough that you notice it, even if it&rsquo;s a niggle, move heaven and earth to fix it.</p>

<p>Devote serious time to fixing it - a few hours at least, if not a couple of days.</p>

<p>Ask questions on forums. If it&rsquo;s a software problem, contact the developers.</p>

<p>Think around the problem - see if there&rsquo;s a way to completely avoid it. If spending some money would help, consider doing that. (I&rsquo;ve got a post coming on how not spending cash is one of the biggest mistakes you can make on a tiny Web show).</p>

<p>I had another example of this quite recently. The hard disk I was using to edit Death Knight Love Story on just wasn&rsquo;t coping well with the process. It wouldn&rsquo;t play back more than 10 seconds of real-time footage without rendering first. Now, you can work under those circumstances, but it&rsquo;s annoying, and it means you can&rsquo;t be bothered to do quite a lot of fine-tuning if it needs more than 10 seconds of continuous preview to do.</p>

<p>I lived with this for a while, because I couldn&rsquo;t think of any easy alternatives. The best alternative I could think of would involve completely reorganising the office network and putting together a gigabit RAID server from an old machine. And that sounded like a lot of work.</p>

<p>Until, one day, I sat up, and wondered what the hell I was doing. The pausing was pissing me off, it was slowing me down, and it was making my film worse. I called a friend who works in networking, dragged the old machine out of the cupboard, and got going.</p>

<p>The thing that my subconcious had been saying &ldquo;oh, shit, that looks like really hard&rdquo; took about two days total. Not tiny, but well worth it.</p>

<p>And my editing&rsquo;s improved dramatically on the project since. My fight scenes flow better, the entire thing&rsquo;s more fluid, and I don&rsquo;t have embarassing &ldquo;oh, god, that looks awful&rdquo; moments after I&rsquo;ve rendered the final product. Two days to massively improve the edit on a two-year project.</p>

<p>Humans have two well-known cognitive biases: we underestimate the effects of ongoing hassles or frustrations, and we overestimate the likely cost of fixing those hassles, particularly if the fix is partially unknown.</p>

<p>And that means we spend a lot of time wasting time on niggling problems that we could easily solve.</p>

<p>So that&rsquo;s my challenge to you today: sort out the time vampire that&rsquo;s currently battened onto your project.</p>

<ul>
<li>Sort your directory structure out.</li>
<li>Really put some time into fixing that niggling rendering bug.</li>
<li></li>
</ul>

<p>Call Alienware about a new laptop.<br />
  * Whatever else has been bugging you.
Get your time back, and then spend it making a great project.</p>

<p>And if you do kill a vampire - or have one that just won&rsquo;t die - tell us about it in the comments!</p>

<p><em>Worried that your great project won&rsquo;t get the reception it deserves once it&rsquo;s finished? Or just want a few more cheerleaders to help you get across the finish line? Go learn how to <a href="http://guerillashowrunner.com/crazed-stalkers-free/">get crazed stalkers</a> now, and get some fans for the work you&rsquo;re doing.</em></p>
  <a href='../2011/01/time-vampires-stop-them-draining-your-project-time-dry/index.html'>Read more →</a>
</article> 







        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="zmm.html#">Back to top</a>
      </p>
    </footer>
<script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
